package es.ejie.frmk.infraestructura.traza;

import es.ejie.frmk.Q70FactoriaConstantes;
import es.ejie.frmk.infraestructura.logs.base.Q70ConfiguracionLog;
import es.ejie.frmk.infraestructura.logs.base.Q70ConstantesLogs;
import es.ejie.frmk.infraestructura.utilidades.concurrencia.Q70Lock;


public class Q70TrazaServidor extends Q70TrazaBase{

	private static Q70TrazaServidor instancia = null;

	private Q70TrazaServidor() {
		super();
		setLock(new Q70Lock(Q70FactoriaConstantes.ID_GESTOR_TRAZA));
	}
	
	/** 
	 * Método estático que devuelve la única instancia de la clase <code>Q70TrazaServidor</code>.
	 * @return Instancia de Q70TrazaServidor
	 */
	public static Q70TrazaServidor getSingleton() {
		if (instancia == null) {
			instancia = new Q70TrazaServidor();
		}
		return instancia;
	}

	protected void doDestruir() {
		instancia = null;
	}
	
	/**
	 * @see es.ejie.frmk.infraestructura.traza.Q70TrazaBase#getNombreTraza(es.ejie.frmk.infraestructura.logs.base.Q70ConfiguracionLog)
	 */
	protected String getNombreTraza(Q70ConfiguracionLog configuracionLog) {
		return Q70ConstantesLogs.TRAZA;
	}
}